Imports System.Drawing
Imports System.Windows.Forms
Imports Wakaba

Module Module1

    Private w As Wakaba.Helper

    Sub Main()

        Try
            Dim blnIsPush As Boolean = False
            Dim intMode As Integer = 0

            w = New Wakaba.Helper

            w.Initialize()

            'wiXvCg쐬
            w.SpriteCreate("wi", My.Resources.wall, Helper.TransparentColor.Red)
            w.SpritePosition("wi", 1, 0, 0)
            w.SpriteShow("wi")

            'wiɕ`悷
            w.SpriteText("wi", "XvCg]eXg@Xy[XL[Ă" & vbNewLine & "ESCL[ƏI܂", 32, 32, "lr SVbN", 16, FontStyle.Bold, Brushes.Black)

            'tXvCg쐬
            w.SpriteCreate("t", My.Resources.wakaba, Helper.TransparentColor.Red)
            w.SpritePosition("t", 0, 192, 112)
            w.SpriteShow("t")

            Do
                If w.KeyPush(Helper.KeyCodes.CodeSpace) And (Not blnIsPush) Then

                    blnIsPush = True

                    Select Case intMode
                        Case 0
                            w.SpriteReverse("t", Helper.Reverse.Horizon)
                            intMode += 1
                        Case 1
                            w.SpriteReverse("t", Helper.Reverse.Horizon)
                            intMode += 1
                        Case 2
                            w.SpriteReverse("t", Helper.Reverse.Vertical)
                            intMode += 1
                        Case 3
                            w.SpriteReverse("t", Helper.Reverse.Vertical)
                            intMode += 1
                        Case 4
                            intMode = 0
                            blnIsPush = False
                    End Select
                End If

                If Not w.KeyPush(Helper.KeyCodes.CodeSpace) Then
                    blnIsPush = False
                End If

                w.ScreenRefresh(True)
            Loop While Not w.WindowClosing And Not w.KeyPush(Helper.KeyCodes.CodeEscape)

        Catch ex As Exception
            MessageBox.Show(ex.Message & vbNewLine & ex.StackTrace)
        End Try

        w.Dispose()

    End Sub

End Module
